Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.utils
Class JNDIConnectionProvider

    java.lang.Object
      org.quartz.utils.JNDIConnectionProvider

All Implemented Interfaces:
  ConnectionProvider

public class JNDIConnectionProvider
extends Object
implements ConnectionProvider

A `ConnectionProvider` that provides connections from a `DataSource` that is managed by an application server, and made available via JNDI.

Author:
  James House, Sharada Jambula, Mohammad Rezaei, Patrick Lightbody, Srinivas Venkatarangaiah
See Also:
  `DBConnectionManager`, `ConnectionProvider`, `PoolingConnectionProvider`

Constructor Summary
`JNDIConnectionProvider(String jndiUrl, boolean alwaysLookup)` Constructor
`JNDIConnectionProvider(String jndiUrl, Properties jndiProps, boolean alwaysLookup)` Constructor

Method Summary
`Connection` | `getConnection()`
`boolean` | `isAlwaysLookup()`
`void` | `setAlwaysLookup(boolean b)`
`void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIConnectionProvider

    public JNDIConnectionProvider(String jndiUrl,
                                  boolean alwaysLookup)

  Constructor

Parameters:
  `jndiUrl` - The url for the datasource

### JNDIConnectionProvider

    public JNDIConnectionProvider(String jndiUrl,
                                  Properties jndiProps,
                                  boolean alwaysLookup)

  Constructor

Parameters:
  `jndiUrl` - The URL for the DataSource
  `jndiProps` - The JNDI properties to use when establishing the InitialContext for the lookup of the given URL.

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `ConnectionProvider`
  Returns:
    connection managed by this provider
  Throws:
    `SQLException`

### isAlwaysLookup

    public boolean isAlwaysLookup()

### setAlwaysLookup

    public void setAlwaysLookup(boolean b)

### shutdown

    public void shutdown()
                  throws SQLException

  Specified by:
    `shutdown` in interface `ConnectionProvider`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD